﻿
# 
#   ______                           __        ____    _      __  __     
#  / ___(_)__ ___ _  ___  ___ ____  / /__     / __/___(_)_ __/ /_/ /____ 
# / (_ / / _ `/  ' \/ _ \/ _ `/ _ \/ / _ \   _\ \/ __/ / // / __/ __/ _ \
# \___/_/\_,_/_/_/_/ .__/\_,_/\___/_/\___/  /___/\__/_/\_,_/\__/\__/\___/
#                 /_/                                                   
# http://www.giampaolo-sciutto.it/

# Name : Move_AD_CPU_ACC_FromFile.ps1
# Script che sposta gli account Computers di AD da un file .CSV sotto una OU desiderata
# il CSV deve essere compilato in questa forma:
#
# CN
# Computer1
# Computer2
# Computer3
#
# Modify by Giampaolo Sciutto
# Date written: 30/03/2016
#

#Importing AD Module
Write-Host " Importing AD Module..... "
import-module ActiveDirectory
Write-Host " Importing Move List..... "
# Legge da un file .CSV gli account computers
$MoveList = Import-Csv -Path ".\ListaComputer.csv"
# Definisce una path di destinazione
$TargetOU = 'OU=Computers Disable,DC=genova04,DC=it,DC=azienda,DC=com' 
$countPC    = ($movelist).count
Write-Host " Starting import computers ..."

foreach ($Computer in $MoveList){    
    Write-Host " Moving Computer Accounts..." 
    Get-ADComputer $Computer.CN | Move-ADObject -TargetPath $TargetOU
}

Write-Host " Completed Move List "

Write-Host " $countPC  Computers has been moved "